body {
  --bs-body-font-family: "Noto Sans", sans-serif;
  --bs-body-font-weight: 400;
  font-optical-sizing: auto;
  font-style: normal;
  font-variation-settings: "wdth" 100;

  --bs-highlight-bg: #BEE3E4;
  --bs-link-color-rgb: 0, 190, 198;
  --bs-link-hover-color-rgb: var(--bs-link-color-rgb);
}

.tooltip .tooltip-inner {
  max-width: 330px;
  padding: 10px 15px;
}

.btn.btn-primary, .btn.btn-secondary {
  font-size: 1.2rem;
  position: relative;
  padding-left: 60px;
}

.btn.btn-primary {
  --bs-btn-bg: #00BEC6;
  --bs-btn-border-color: var(--bs-btn-bg);
  --bs-btn-hover-bg: #487B7D;
  --bs-btn-active-bg: #3A6365;
}

.btn.btn-primary i, .btn.btn-secondary i {
  display: inline-block;
  font-size: 1.4rem;
  background-color: rgba(0,0,0,0.25);
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  padding: 5px;
  width: 45px;
}

header, main, footer {
  max-width: 740px;
  margin-left: auto;
  margin-right: auto;
  font-size: 18px;
  padding: 0 20px;
}

header {
  margin-top: 100px;
  padding-bottom: 1rem;
  margin-bottom: 2rem;
  /* color: #325556; */
  /* border-bottom: 1px solid #879293; */
  border-bottom: 1px solid black;
  opacity: 0.75;
}

header h1 {
  font-size: 48px;
  margin-bottom: 1rem;
  font-weight: 600;
  display: inline;
}

header p {
  display: inline;
  margin-left: 0.5rem;
  font-size: 1.3rem;
  font-weight: 350;
}

header p span {
  display: inline-block;
  /* color: #628889; */
  opacity: 0.75;
}

header p span::first-letter {
  font-weight: 450;
}

main {
  margin-bottom: 100px;
}

main h2 {
  font-size: 22px;
  margin-bottom: 1rem;
}

main h3 {
  font-size: 18px;
  margin-bottom: 1rem;
}

main hr {
  margin: 1.5rem 0;
}

a:link, a:visited {
  text-decoration: none;
}

.intro .lead {
  font-size: 1.3rem;
  font-weight: 200;
  margin: 1.5rem 0 1.5rem 0;
  /* color: #628889; */
}

.intro .lead mark {
  display: inline-block;
  margin-top: 1px;
  margin-bottom: 1px;
}

.intro video {
  margin: 10px 0 20px -60px;
  width: calc(100% + 120px);
}

@media (max-width: 820px) {
  .intro video {
    margin-left: -20px;
    width: calc(100% + 40px);
  }
}

.intro .cta {
  text-align: center;
  margin: calc(1rem - 15px) 0 calc(4rem - 15px) 0;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.btn-wrapper {
  display: flex;
  flex-direction: column;
  margin: 15px;
}

.btn-wrapper > span {
  font-size: 1rem;
  font-style: italic;
  margin-top: 10px;
  opacity: 0.5;
}

.intro ul {
  list-style: none;
}

ul li, ol li {
  margin-bottom: 0.2rem;
}

details ol {
  padding-left: 40px;
}

.small {
  font-size: 16px;
}

details {
  padding-left: 42px;
}

details summary {
  margin-left: -42px;
  margin-bottom: 1rem;
}

details summary h3 {
  margin-left: 0px;
  display: inline;
}

details h3 {
  margin-left: -25px;
}

details summary span:first-child:before {
  content: 'Show ';
}

details[open] summary span:first-child:before {
  content: 'Hide ';
}

.directions details summary {
  color: var(--bs-secondary-color);
  font-size: 16px;
  position: relative;
}

.directions details summary::marker {
  font-size: 18px;
}

.directions details summary span:first-child:before {
  display: inline-block;
  width: 45px;
}

.directions details summary h3 {
  color: black;
}

.directions details {
  margin-bottom: -0.5rem;
}

.directions details > :last-child {
  margin-bottom: 2rem;
}

.directions details:last-child {
  margin-bottom: 1rem;
}

.minor-step {
  font-size: 14px;
  color: var(--bs-secondary-color);
  margin-top: 2px;
}

.demo-conclusion {
  /* color: var(--bs-warning); */
  background: linear-gradient(90deg, rgba(2,0,36,1) 0%, rgba(214,139,18,1) 100%);
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
}

main #source-code h2, main .perf-metrics h2 {
  font-size: 18px;
  margin-bottom: 0.5rem;
}

main #source-code ul {
  list-style: none;
}

main #source-code ul li {
  padding-left: 30px;
  text-indent: -30px;
  margin-bottom: 0.5rem;
}

main #source-code ul li .bi {
  text-indent: 0px;
}

@-webkit-keyframes shake {
  0% { -webkit-transform: translate(2px, 1px) rotate(0deg); } 
  10% { -webkit-transform: translate(-1px, -2px) rotate(-1deg); }
  20% { -webkit-transform: translate(-3px, 0px) rotate(1deg); }
  30% { -webkit-transform: translate(0px, 2px) rotate(0deg); }
  40% { -webkit-transform: translate(1px, -1px) rotate(1deg); }
  50% { -webkit-transform: translate(-1px, 2px) rotate(-1deg); }
  60% { -webkit-transform: translate(-3px, 1px) rotate(0deg); }
  70% { -webkit-transform: translate(2px, 1px) rotate(-1deg); }
  80% { -webkit-transform: translate(-1px, -1px) rotate(1deg); }
  90% { -webkit-transform: translate(2px, 2px) rotate(0deg); }
  100% { -webkit-transform: translate(1px, -2px) rotate(-1deg); }
}
.shake {
  -webkit-animation-name: shake;
  -webkit-animation-duration: 0.5s;
  -webkit-transform-origin:50% 50%;
  -webkit-animation-iteration-count: infinite;
  display: inline-block;
}

footer {
  text-align: center;
  font-style: italic;
  opacity: 0.5;
}